.audio-player{
    display: flex;
    position: fixed;
    width: 75%;
    bottom: 0;
    padding: 10px;
    background: rgba(0, 0, 0, 0.95);
    z-index: 10;
}

.audio-player-container{
    position: relative;  /* definiert Bezugssystem */
    overflow: hidden;    /* sorgt dafür, dass "hinter" bedeutet: nicht sichtbar */
}

.playlist {
    padding-bottom: 11%;
}

.playlist-table li:hover {
  background-color: rgba(0, 10, 0, 0.80);
  color: yellow;
  cursor: pointer;
}

.trackinfo {
    min-width: 300px;
}

.current-track {
    background: rgba(0, 15, 0, 0.95);
}

.wave-container {
    flex-grow: 1;
}

.waveform {
    min-width: 400px;
    flex: 1;
}

.thumbnail {
    max-width: 100px;   /* maximale Breite */
    max-height: 100px;  /* maximale Höhe */
    object-fit: cover;  /* Zuschneiden, statt verzerren */
    border-radius: 8px; /* optional: runde Ecken */
}

.thumbnail-small {
    max-width: 75px;   /* maximale Breite */
    max-height: 75px;  /* maximale Höhe */
    object-fit: cover;  /* Zuschneiden, statt verzerren */
    border-radius: 8px; /* optional: runde Ecken */
}


button.pressed {
  transform: translateY(1px);
  box-shadow: inset 0 3px 6px rgba(50, 60, 51, 0.3);
  background-color: #7b7b7b; /* dunkler Hintergrund */
}